# Uses of Class
org.apache.zookeeper.server.watch.WatchesSummary

Packages that use WatchesSummary
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.watch

## Uses of WatchesSummary in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return WatchesSummary
Modifier and Type
Method
Description
`WatchesSummary`
DataTree.`getWatchesSummary()`
Returns a watch summary.

## Uses of WatchesSummary in org.apache.zookeeper.server.watch

Methods in org.apache.zookeeper.server.watch that return WatchesSummary
Modifier and Type
Method
Description
`WatchesSummary`
IWatchManager.`getWatchesSummary()`
Returns a watch summary.
`WatchesSummary`
WatchManager.`getWatchesSummary()`
`WatchesSummary`
WatchManagerOptimized.`getWatchesSummary()`